Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum AmenityType

    java.lang.Object
      java.lang.Enum<AmenityType>
          org.ka2ddo.yaac.osm.AmenityType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AmenityType>, EnumWithImageName, MaybeArea, VisibleEnum

    public enum AmenityType

extends java.lang.Enum<AmenityType>
implements MaybeArea, VisibleEnum, EnumWithImageName

This enumeration defines the well-known type names for the OSM attributes "amenity", "office", and "shop". Any new values for any of these attributes must be added at the end of the list to maintain enum ordinal stability and therefore backwards compatibility with maps imported with previous versions of this enumeration. See the OpenStreetMap definitions of amenity, office and shop for more details.

Enum Constant Summary
`accountant`
`acupuncturist`
`administrative`
`advertising`
`airline`
`airport`
`airway_beacon`
`alcohol`
`amateur_radio_station`
`ambulance`
`amphitheatre`
`amusement_park`
`animal_boarding`
`animal_shelter`
`anime`
`antenna`
`antiques`
`apartments`
`appliance`
`archaeological_site`
`architect`
`art`
`art_gallery`
`arts_centre`
`atm`
`audiologist`
`auditorium`
`automat`
`baby_goods`
`baby_hatch`
`bahai_temple`
`bakery`
`bandstand`
`bank`
`bar`
`barber`
`bathroom_furnishing`
`battlefield`
`bazaar`
`bbq`
`beachhut`
`beauty`
`bed`
`beekeeper`
`bench`
`beverages`
`bicycle`
`bicycle_parking`
`bicycle_rental`
`bicycle_repair_station`
`biergarten`
`billboard`
`bingo`
`blacksmith`
`boat_launch`
`boat_rental`
`boat_storage`
`boathouse`
`bomb_crater`
`bomb_shelter`
`bookbinder`
`bookmaker`
`books`
`border_control`
`boundary_stone`
`boutique`
`bowling_alley`
`brewery`
`bridal`
`bridge`
`broker`
`brothel`
`buddhist_temple`
`bullring`
`bunker`
`buoy`
`bureau_de_change`
`bus_station`
`bus_stop`
`butcher`
`cabin`
`cafe`
`camping`
`cannon`
`canteen`
`car`
`car_parts`
`car_rental`
`car_repair`
`car_sharing`
`car_wash`
`carpenter`
`carpet`
`carpet_layer`
`castle`
`caterer`
`cattery`
`cave`
`chandler`
`charging_station`
`charity`
`checkpoint`
`cheese`
`chemist`
`chiropodist`
`chiropractor`
`chocolatier`
`church`
`church_hall`
`church_yard`
`cinema`
`circus`
`city_gate`
`city_map_post`
`citywalls`
`clinic`
`clock`
`clockmaker`
`clocks`
`clothes`
`coast_guard`
`cobbler`
`coffee`
`college`
`community_centre`
`company`
`compressed_air`
`computer`
`concert_hall`
`confectionery`
`consulate`
`convenience`
`convent`
`convention_center`
`copyshop`
`cosmetics`
`costume`
`council_office`
`courthouse`
`craft`
`credit_union`
`crematorium`
`crucifix`
`crypt`
`curtain`
`dairy`
`dam`
`dance_studio`
`daycare`
`defibrillator`
`deli`
`dentist`
`department_store`
`dermatologist`
`disco`
`distillery`
`dive`
`doctors`
`doityourself`
`dollar_store`
`donut`
`dormitory`
`dressmaker`
`drinking_water`
`driving_school`
`drugstore`
`dry_cleaning`
`e_cigarette`
`educational_institution`
`electrician`
`electronics`
`embassy`
`emergency_phone`
`emergency_service`
`employment_agency`
`engineer`
`equestrian`
`equestrian_school`
`erotic`
`estate_agent`
`fabric`
`farm`
`fast_food`
`fbo`
`ferry_terminal`
`financial`
`fire_beater`
`fire_hydrant`
`fire_station`
`fireplace`
`first_aid`
`fish_and_chips`
`fishing`
`fitness_club`
`flagpole`
`fleamarket`
`florist`
`food`
`food_court`
`formal_wear`
`fort`
`fountain`
`frame`
`fraternity`
`fuel`
`funeral_directors`
`furnace`
`furniture`
`furrier`
`gambling`
`garden_centre`
`gas`
`gazebo`
`general_store`
`generator`
`gift`
`glaziery`
`goldsmith`
`golf`
`golf_course`
`goodwill`
`government`
`grass_strip`
`grave_yard`
`greengrocer`
`greenhouse`
`grit_bin`
`gymnasium`
`haberdashery`
`hairdresser`
`handicraft`
`harbourmaster`
`hardware`
`health_and_beauty`
`health_food`
`hearing_aids`
`helipad`
`herbalist`
`hifi`
`hindu_temple`
`home_center`
`home_goods`
`homeless_shelter`
`hospice`
`hospital`
`hostel`
`hotel`
`hunting`
`hunting_stand`
`hvac`
`ice_cream`
`ice_rink`
`information`
`insurance`
`interior_decoration`
`internet_cafe`
`it`
`jain_temple`
`jeepney_station`
`jewelry`
`junk`
`kennel`
`kindergarten`
`kiosk`
`kitchen`
`laundry`
`lavoir`
`lawyer`
`leather`
`leisure_centre`
`library`
`life_guard`
`lifeboat_station`
`lifebuoy`
`lighthouse`
`lingerie`
`loading_dock`
`loan`
`locksmith`
`lottery`
`love_hotel`
`luggage`
`lumberyard`
`mall`
`maps`
`marketplace`
`martial_arts`
`mason`
`masonic_lodge`
`massage`
`mechanic`
`medical_laboratory`
`medical_supply`
`memorial`
`meteor_crater`
`metro_station`
`milestone`
`military`
`military_surplus`
`mill`
`mine`
`mobile_phone`
`modeling`
`monastery`
`money_lender`
`money_transfer`
`monument`
`mooring`
`morgue`
`mosque`
`motorcycle`
`motorcycle_parking`
`mountain_rescue`
`museum`
`music`
`music_school`
`music_venue`
`musical_instrument`
`nail_salon`
`nameplate`
`newsagent`
`newspaper`
`ngo`
`nightclub`
`notary`
`notice_board`
`nursing_home`
`nursing_service`
`nutritionist`
`observatory`
`office`
`office_supplies`
`ophthalmologist`
`optician`
`organic`
`orphanage`
`orthodontist`
`orthopedics`
`osteopath`
`outdoor`
`outhouse`
`pagan_temple`
`paint`
`palace`
`parish_hall`
`park`
`parking`
`parking_entrance`
`parking_meter`
`parking_space`
`parliament`
`party_service`
`pasta`
`pastafarian_temple`
`patisserie`
`pawnbroker`
`payday_loans`
`payment_terminal`
`perfumery`
`pet`
`pharmacy`
`photo`
`photo_booth`
`photo_studio`
`photocopy`
`physiotherapy`
`picnic_table`
`pillory`
`pizza_delivery`
`place_of_worship`
`planetarium`
`playground`
`plumber`
`podiatrist`
`police`
`police_box`
`political_party`
`pool_hall`
`post_box`
`post_office`
`pottery`
`power_tower`
`preschool`
`printer`
`prison`
`propane`
`psychiatrist`
`psychic`
`psychologist`
`pub`
`public_bath`
`public_building`
`public_storage`
`quango`
`quarry`
`radar`
`radio_station`
`radiotechnics`
`rangers`
`real_estate`
`recruiting_center`
`rectory`
`recycling`
`red_cross`
`refugee_housing`
`register_office`
`religion`
`rescue`
`rescue_squad`
`research`
`restaurant`
`rigger`
`rodeo`
`roller_rink`
`roofer`
`ruins`
`rune_stone`
`rv_dealer`
`saddler`
`sailmaker`
`salt`
`sanatorium`
`sanitary_station`
`sauna`
`sawmill`
`school`
`scientology`
`scout_hall`
`scout_hut`
`scrapyard`
`sculpture`
`seafood`
`second_hand`
`security`
`security_post`
`self_storage`
`seminary`
`sewing`
`shelter`
`shinto_temple`
`shoes`
`shop`
`shower`
`shrine`
`signpost`
`sikh_temple`
`silversmith`
`siren`
`ski_school`
`snack_bar`
`snack_cart`
`snacks`
`social_centre`
`social_facility`
`solar_power`
`solarium`
`souvenir`
`spa`
`spaceport`
`speech_therapist`
`speed_trap`
`sporting_goods`
`sports`
`sports_therapist`
`stables`
`stadium`
`stationary`
`statue`
`stock_exchange`
`stonemason`
`storage`
`streetlight`
`stripclub`
`studio`
`suction_point`
`supermarket`
`sweep`
`swimming_pool`
`swingerclub`
`synagogue`
`tailor`
`tanning`
`taoist_temple`
`tattoo`
`tax`
`tax_advisor`
`taxi`
`tearoom`
`telecommunication`
`telephone`
`telephone_exchange`
`theatre`
`theMan`
`therapist`
`thrift`
`ticket`
`tiler`
`tinsmith`
`tobacco`
`toilets`
`tourism`
`tower`
`townhall`
`toys`
`trade`
`traffic_light_camera`
`traffic_signals`
`trail_head`
`trailer_park`
`train_station`
`travel_agent`
`tricycle_station`
`truck_stop`
`truck_wash`
`tutor`
`tv_station`
`tyres`
`university`
`upholsterer`
`user_defined`
`vacant`
`vacuum_cleaner`
`variety_store`
`vehicle_inspection`
`vehicle_ramp`
`vending_machine`
`veterinary`
`video`
`video_games`
`vivarium`
`volcano`
`war_memorial`
`warehouse`
`wash_center`
`waste_basket`
`waste_collection_point`
`waste_disposal`
`waste_transfer_station`
`watches`
`watchmaker`
`water`
`water_fountain`
`water_point`
`water_reservoir`
`water_tank`
`water_tower`
`watering_place`
`watermill`
`wayside_cross`
`wayside_shrine`
`weapons`
`weather_station`
`weigh_station`
`weighbridge`
`welding`
`well`
`wharf`
`whirlpool`
`wifi`
`windmill`
`window_blind`
`windsock`
`wine`
`wine_cellar`
`winebar`
`winery`
`wreck`
`yoga_studio`
`youth_centre`
`zoo`
`zoroastrian_temple`

Method Summary
`AmenityCategory` | `getCategory()` Get the category associated with this AmenityType.
`java.lang.String` | `getImagePath()` Return the relative path name of the image file for this enum value.
`boolean` | `isArea()` Indicates whether this enum type implies an area.
`boolean` | `isVisible()` Indicate whether OSM objects tagged with this enum are visible.
`static void` | `main(java.lang.String[] args)` unit test.
`static AmenityType[]` | `nonClonedValues()`
`void` | `setVisible(boolean visible)` Set whether OSM objects tagged with this enum should be visible.
`java.lang.String` | `toString()` Returns the localized name of this enum constant.
`static AmenityType` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static AmenityType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AmenityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ka2ddo.yaac.osm.VisibleEnum
`name`

Enum Constant Detail

### user_defined

    public static final AmenityType user_defined

### shop

    public static final AmenityType shop

### office

    public static final AmenityType office

### bar

    public static final AmenityType bar

### bbq

    public static final AmenityType bbq

### biergarten

    public static final AmenityType biergarten

### cafe

    public static final AmenityType cafe

### drinking_water

    public static final AmenityType drinking_water

### fast_food

    public static final AmenityType fast_food

### food_court

    public static final AmenityType food_court

### ice_cream

    public static final AmenityType ice_cream

### patisserie

    public static final AmenityType patisserie

### pub

    public static final AmenityType pub

### restaurant

    public static final AmenityType restaurant

### winebar

    public static final AmenityType winebar

### college

    public static final AmenityType college

### kindergarten

    public static final AmenityType kindergarten

### library

    public static final AmenityType library

### school

    public static final AmenityType school

### university

    public static final AmenityType university

### bicycle_parking

    public static final AmenityType bicycle_parking

### bicycle_rental

    public static final AmenityType bicycle_rental

### bus_station

    public static final AmenityType bus_station

### car_rental

    public static final AmenityType car_rental

### car_sharing

    public static final AmenityType car_sharing

### car_wash

    public static final AmenityType car_wash

### charging_station

    public static final AmenityType charging_station

### ferry_terminal

    public static final AmenityType ferry_terminal

### fuel

    public static final AmenityType fuel

### grit_bin

    public static final AmenityType grit_bin

### motorcycle_parking

    public static final AmenityType motorcycle_parking

### parking

    public static final AmenityType parking

### parking_entrance

    public static final AmenityType parking_entrance

### parking_space

    public static final AmenityType parking_space

### salt

    public static final AmenityType salt

### taxi

    public static final AmenityType taxi

### water

    public static final AmenityType water

### ambulance

    public static final AmenityType ambulance

### atm

    public static final AmenityType atm

### bank

    public static final AmenityType bank

### bureau_de_change

    public static final AmenityType bureau_de_change

### baby_hatch

    public static final AmenityType baby_hatch

### clinic

    public static final AmenityType clinic

### dentist

    public static final AmenityType dentist

### doctors

    public static final AmenityType doctors

### hospital

    public static final AmenityType hospital

### nursing_home

    public static final AmenityType nursing_home

### payday_loans

    public static final AmenityType payday_loans

### pharmacy

    public static final AmenityType pharmacy

### social_facility

    public static final AmenityType social_facility

### veterinary

    public static final AmenityType veterinary

### art_gallery

    public static final AmenityType art_gallery

### arts_centre

    public static final AmenityType arts_centre

### bowling_alley

    public static final AmenityType bowling_alley

### cinema

    public static final AmenityType cinema

### community_centre

    public static final AmenityType community_centre

### fountain

    public static final AmenityType fountain

### gymnasium

    public static final AmenityType gymnasium

### museum

    public static final AmenityType museum

### nightclub

    public static final AmenityType nightclub

### pool_hall

    public static final AmenityType pool_hall

### social_centre

    public static final AmenityType social_centre

### stadium

    public static final AmenityType stadium

### stripclub

    public static final AmenityType stripclub

### studio

    public static final AmenityType studio

### swimming_pool

    public static final AmenityType swimming_pool

### swingerclub

    public static final AmenityType swingerclub

### theatre

    public static final AmenityType theatre

### youth_centre

    public static final AmenityType youth_centre

### bench

    public static final AmenityType bench

### billboard

    public static final AmenityType billboard

### border_control

    public static final AmenityType border_control

### brothel

    public static final AmenityType brothel

### buoy

    public static final AmenityType buoy

### checkpoint

    public static final AmenityType checkpoint

### city_map_post

    public static final AmenityType city_map_post

### clock

    public static final AmenityType clock

### coast_guard

    public static final AmenityType coast_guard

### consulate

    public static final AmenityType consulate

### convention_center

    public static final AmenityType convention_center

### council_office

    public static final AmenityType council_office

### courthouse

    public static final AmenityType courthouse

### crematorium

    public static final AmenityType crematorium

### crucifix

    public static final AmenityType crucifix

### embassy

    public static final AmenityType embassy

### emergency_phone

    public static final AmenityType emergency_phone

### fire_hydrant

    public static final AmenityType fire_hydrant

### first_aid

    public static final AmenityType first_aid

### fire_station

    public static final AmenityType fire_station

### grave_yard

    public static final AmenityType grave_yard

### hunting_stand

    public static final AmenityType hunting_stand

### life_guard

    public static final AmenityType life_guard

### marketplace

    public static final AmenityType marketplace

### mine

    public static final AmenityType mine

### mountain_rescue

    public static final AmenityType mountain_rescue

### notice_board

    public static final AmenityType notice_board

### parking_meter

    public static final AmenityType parking_meter

### place_of_worship

    public static final AmenityType place_of_worship

### police

    public static final AmenityType police

### police_box

    public static final AmenityType police_box

### post_box

    public static final AmenityType post_box

### post_office

    public static final AmenityType post_office

### prison

    public static final AmenityType prison

### public_building

    public static final AmenityType public_building

### radio_station

    public static final AmenityType radio_station

### rangers

    public static final AmenityType rangers

### recruiting_center

    public static final AmenityType recruiting_center

### recycling

    public static final AmenityType recycling

### rescue_squad

    public static final AmenityType rescue_squad

### sauna

    public static final AmenityType sauna

### shelter

    public static final AmenityType shelter

### shower

    public static final AmenityType shower

### signpost

    public static final AmenityType signpost

### speed_trap

    public static final AmenityType speed_trap

### streetlight

    public static final AmenityType streetlight

### telephone

    public static final AmenityType telephone

### toilets

    public static final AmenityType toilets

### townhall

    public static final AmenityType townhall

### trailer_park

    public static final AmenityType trailer_park

### traffic_signals

    public static final AmenityType traffic_signals

### traffic_light_camera

    public static final AmenityType traffic_light_camera

### train_station

    public static final AmenityType train_station

### tv_station

    public static final AmenityType tv_station

### vending_machine

    public static final AmenityType vending_machine

### waste_basket

    public static final AmenityType waste_basket

### waste_disposal

    public static final AmenityType waste_disposal

### water_fountain

    public static final AmenityType water_fountain

### watering_place

    public static final AmenityType watering_place

### weigh_station

    public static final AmenityType weigh_station

### wharf

    public static final AmenityType wharf

### accountant

    public static final AmenityType accountant

### administrative

    public static final AmenityType administrative

### airline

    public static final AmenityType airline

### architect

    public static final AmenityType architect

### blacksmith

    public static final AmenityType blacksmith

### broker

    public static final AmenityType broker

### camping

    public static final AmenityType camping

### carpenter

    public static final AmenityType carpenter

### cobbler

    public static final AmenityType cobbler

### company

    public static final AmenityType company

### educational_institution

    public static final AmenityType educational_institution

### electrician

    public static final AmenityType electrician

### employment_agency

    public static final AmenityType employment_agency

### engineer

    public static final AmenityType engineer

### estate_agent

    public static final AmenityType estate_agent

### government

    public static final AmenityType government

### insurance

    public static final AmenityType insurance

### it

    public static final AmenityType it

### lawyer

    public static final AmenityType lawyer

### newspaper

    public static final AmenityType newspaper

### ngo

    public static final AmenityType ngo

### plumber

    public static final AmenityType plumber

### political_party

    public static final AmenityType political_party

### quango

    public static final AmenityType quango

### research

    public static final AmenityType research

### tax

    public static final AmenityType tax

### telecommunication

    public static final AmenityType telecommunication

### travel_agent

    public static final AmenityType travel_agent

### alcohol

    public static final AmenityType alcohol

### anime

    public static final AmenityType anime

### antiques

    public static final AmenityType antiques

### appliance

    public static final AmenityType appliance

### art

    public static final AmenityType art

### automat

    public static final AmenityType automat

### baby_goods

    public static final AmenityType baby_goods

### bakery

    public static final AmenityType bakery

### barber

    public static final AmenityType barber

### bathroom_furnishing

    public static final AmenityType bathroom_furnishing

### bazaar

    public static final AmenityType bazaar

### beauty

    public static final AmenityType beauty

### bed

    public static final AmenityType bed

### beverages

    public static final AmenityType beverages

### bicycle

    public static final AmenityType bicycle

### bookbinder

    public static final AmenityType bookbinder

### bookmaker

    public static final AmenityType bookmaker

### books

    public static final AmenityType books

### boutique

    public static final AmenityType boutique

### butcher

    public static final AmenityType butcher

### car

    public static final AmenityType car

### car_repair

    public static final AmenityType car_repair

### car_parts

    public static final AmenityType car_parts

### carpet

    public static final AmenityType carpet

### chandler

    public static final AmenityType chandler

### charity

    public static final AmenityType charity

### cheese

    public static final AmenityType cheese

### chemist

    public static final AmenityType chemist

### chocolatier

    public static final AmenityType chocolatier

### clothes

    public static final AmenityType clothes

### coffee

    public static final AmenityType coffee

### computer

    public static final AmenityType computer

### confectionery

    public static final AmenityType confectionery

### convenience

    public static final AmenityType convenience

### copyshop

    public static final AmenityType copyshop

### cosmetics

    public static final AmenityType cosmetics

### costume

    public static final AmenityType costume

### craft

    public static final AmenityType craft

### curtain

    public static final AmenityType curtain

### daycare

    public static final AmenityType daycare

### deli

    public static final AmenityType deli

### department_store

    public static final AmenityType department_store

### dive

    public static final AmenityType dive

### dry_cleaning

    public static final AmenityType dry_cleaning

### drugstore

    public static final AmenityType drugstore

### doityourself

    public static final AmenityType doityourself

### dollar_store

    public static final AmenityType dollar_store

### donut

    public static final AmenityType donut

### electronics

    public static final AmenityType electronics

### equestrian

    public static final AmenityType equestrian

### erotic

    public static final AmenityType erotic

### fabric

    public static final AmenityType fabric

### farm

    public static final AmenityType farm

### fireplace

    public static final AmenityType fireplace

### fitness_club

    public static final AmenityType fitness_club

### florist

    public static final AmenityType florist

### formal_wear

    public static final AmenityType formal_wear

### frame

    public static final AmenityType frame

### funeral_directors

    public static final AmenityType funeral_directors

### furnace

    public static final AmenityType furnace

### furrier

    public static final AmenityType furrier

### furniture

    public static final AmenityType furniture

### garden_centre

    public static final AmenityType garden_centre

### gas

    public static final AmenityType gas

### general_store

    public static final AmenityType general_store

### gift

    public static final AmenityType gift

### glaziery

    public static final AmenityType glaziery

### goldsmith

    public static final AmenityType goldsmith

### golf

    public static final AmenityType golf

### goodwill

    public static final AmenityType goodwill

### greengrocer

    public static final AmenityType greengrocer

### haberdashery

    public static final AmenityType haberdashery

### hairdresser

    public static final AmenityType hairdresser

### hardware

    public static final AmenityType hardware

### health_food

    public static final AmenityType health_food

### health_and_beauty

    public static final AmenityType health_and_beauty

### hearing_aids

    public static final AmenityType hearing_aids

### herbalist

    public static final AmenityType herbalist

### hifi

    public static final AmenityType hifi

### home_center

    public static final AmenityType home_center

### hostel

    public static final AmenityType hostel

### hotel

    public static final AmenityType hotel

### hunting

    public static final AmenityType hunting

### interior_decoration

    public static final AmenityType interior_decoration

### internet_cafe

    public static final AmenityType internet_cafe

### jewelry

    public static final AmenityType jewelry

### junk

    public static final AmenityType junk

### kiosk

    public static final AmenityType kiosk

### kitchen

    public static final AmenityType kitchen

### laundry

    public static final AmenityType laundry

### leather

    public static final AmenityType leather

### leisure_centre

    public static final AmenityType leisure_centre

### loan

    public static final AmenityType loan

### locksmith

    public static final AmenityType locksmith

### lumberyard

    public static final AmenityType lumberyard

### mall

    public static final AmenityType mall

### maps

    public static final AmenityType maps

### martial_arts

    public static final AmenityType martial_arts

### massage

    public static final AmenityType massage

### medical_supply

    public static final AmenityType medical_supply

### military_surplus

    public static final AmenityType military_surplus

### mobile_phone

    public static final AmenityType mobile_phone

### modeling

    public static final AmenityType modeling

### money_lender

    public static final AmenityType money_lender

### motorcycle

    public static final AmenityType motorcycle

### musical_instrument

    public static final AmenityType musical_instrument

### music

    public static final AmenityType music

### nail_salon

    public static final AmenityType nail_salon

### newsagent

    public static final AmenityType newsagent

### office_supplies

    public static final AmenityType office_supplies

### optician

    public static final AmenityType optician

### organic

    public static final AmenityType organic

### outdoor

    public static final AmenityType outdoor

### paint

    public static final AmenityType paint

### pawnbroker

    public static final AmenityType pawnbroker

### perfumery

    public static final AmenityType perfumery

### pet

    public static final AmenityType pet

### photo

    public static final AmenityType photo

### physiotherapy

    public static final AmenityType physiotherapy

### pizza_delivery

    public static final AmenityType pizza_delivery

### pottery

    public static final AmenityType pottery

### propane

    public static final AmenityType propane

### psychic

    public static final AmenityType psychic

### radiotechnics

    public static final AmenityType radiotechnics

### real_estate

    public static final AmenityType real_estate

### seafood

    public static final AmenityType seafood

### second_hand

    public static final AmenityType second_hand

### shoes

    public static final AmenityType shoes

### silversmith

    public static final AmenityType silversmith

### snacks

    public static final AmenityType snacks

### souvenir

    public static final AmenityType souvenir

### spa

    public static final AmenityType spa

### sports

    public static final AmenityType sports

### stationary

    public static final AmenityType stationary

### supermarket

    public static final AmenityType supermarket

### tailor

    public static final AmenityType tailor

### tanning

    public static final AmenityType tanning

### tattoo

    public static final AmenityType tattoo

### tearoom

    public static final AmenityType tearoom

### thrift

    public static final AmenityType thrift

### ticket

    public static final AmenityType ticket

### tobacco

    public static final AmenityType tobacco

### tourism

    public static final AmenityType tourism

### toys

    public static final AmenityType toys

### trade

    public static final AmenityType trade

### tyres

    public static final AmenityType tyres

### vacant

    public static final AmenityType vacant

### vacuum_cleaner

    public static final AmenityType vacuum_cleaner

### variety_store

    public static final AmenityType variety_store

### video

    public static final AmenityType video

### watches

    public static final AmenityType watches

### whirlpool

    public static final AmenityType whirlpool

### window_blind

    public static final AmenityType window_blind

### wine

    public static final AmenityType wine

### park

    public static final AmenityType park

### church_hall

    public static final AmenityType church_hall

### homeless_shelter

    public static final AmenityType homeless_shelter

### hospice

    public static final AmenityType hospice

### cattery

    public static final AmenityType cattery

### kennel

    public static final AmenityType kennel

### waste_collection_point

    public static final AmenityType waste_collection_point

### well

    public static final AmenityType well

### airport

    public static final AmenityType airport

### spaceport

    public static final AmenityType spaceport

### radar

    public static final AmenityType radar

### rv_dealer

    public static final AmenityType rv_dealer

### concert_hall

    public static final AmenityType concert_hall

### music_venue

    public static final AmenityType music_venue

### bandstand

    public static final AmenityType bandstand

### gambling

    public static final AmenityType gambling

### credit_union

    public static final AmenityType credit_union

### preschool

    public static final AmenityType preschool

### dance_studio

    public static final AmenityType dance_studio

### driving_school

    public static final AmenityType driving_school

### equestrian_school

    public static final AmenityType equestrian_school

### music_school

    public static final AmenityType music_school

### ski_school

    public static final AmenityType ski_school

### yoga_studio

    public static final AmenityType yoga_studio

### brewery

    public static final AmenityType brewery

### dairy

    public static final AmenityType dairy

### winery

    public static final AmenityType winery

### scrapyard

    public static final AmenityType scrapyard

### dormitory

    public static final AmenityType dormitory

### fraternity

    public static final AmenityType fraternity

### sculpture

    public static final AmenityType sculpture

### animal_shelter

    public static final AmenityType animal_shelter

### bomb_shelter

    public static final AmenityType bomb_shelter

### rescue

    public static final AmenityType rescue

### statue

    public static final AmenityType statue

### monastery

    public static final AmenityType monastery

### convent

    public static final AmenityType convent

### seminary

    public static final AmenityType seminary

### shrine

    public static final AmenityType shrine

### masonic_lodge

    public static final AmenityType masonic_lodge

### observatory

    public static final AmenityType observatory

### telephone_exchange

    public static final AmenityType telephone_exchange

### weather_station

    public static final AmenityType weather_station

### windsock

    public static final AmenityType windsock

### antenna

    public static final AmenityType antenna

### sanitary_station

    public static final AmenityType sanitary_station

### red_cross

    public static final AmenityType red_cross

### wifi

    public static final AmenityType wifi

### picnic_table

    public static final AmenityType picnic_table

### greenhouse

    public static final AmenityType greenhouse

### apartments

    public static final AmenityType apartments

### amphitheatre

    public static final AmenityType amphitheatre

### cave

    public static final AmenityType cave

### circus

    public static final AmenityType circus

### disco

    public static final AmenityType disco

### vivarium

    public static final AmenityType vivarium

### zoo

    public static final AmenityType zoo

### rectory

    public static final AmenityType rectory

### beachhut

    public static final AmenityType beachhut

### photo_studio

    public static final AmenityType photo_studio

### home_goods

    public static final AmenityType home_goods

### sporting_goods

    public static final AmenityType sporting_goods

### auditorium

    public static final AmenityType auditorium

### boat_storage

    public static final AmenityType boat_storage

### bridal

    public static final AmenityType bridal

### bus_stop

    public static final AmenityType bus_stop

### flagpole

    public static final AmenityType flagpole

### fleamarket

    public static final AmenityType fleamarket

### grass_strip

    public static final AmenityType grass_strip

### information

    public static final AmenityType information

### lifebuoy

    public static final AmenityType lifebuoy

### lingerie

    public static final AmenityType lingerie

### lottery

    public static final AmenityType lottery

### luggage

    public static final AmenityType luggage

### mechanic

    public static final AmenityType mechanic

### mill

    public static final AmenityType mill

### outhouse

    public static final AmenityType outhouse

### payment_terminal

    public static final AmenityType payment_terminal

### photocopy

    public static final AmenityType photocopy

### sewing

    public static final AmenityType sewing

### stonemason

    public static final AmenityType stonemason

### therapist

    public static final AmenityType therapist

### orphanage

    public static final AmenityType orphanage

### advertising

    public static final AmenityType advertising

### amateur_radio_station

    public static final AmenityType amateur_radio_station

### bingo

    public static final AmenityType bingo

### boathouse

    public static final AmenityType boathouse

### boat_rental

    public static final AmenityType boat_rental

### cabin

    public static final AmenityType cabin

### castle

    public static final AmenityType castle

### chiropodist

    public static final AmenityType chiropodist

### chiropractor

    public static final AmenityType chiropractor

### church

    public static final AmenityType church

### compressed_air

    public static final AmenityType compressed_air

### crypt

    public static final AmenityType crypt

### fire_beater

    public static final AmenityType fire_beater

### food

    public static final AmenityType food

### harbourmaster

    public static final AmenityType harbourmaster

### jeepney_station

    public static final AmenityType jeepney_station

### lifeboat_station

    public static final AmenityType lifeboat_station

### love_hotel

    public static final AmenityType love_hotel

### mason

    public static final AmenityType mason

### medical_laboratory

    public static final AmenityType medical_laboratory

### milestone

    public static final AmenityType milestone

### mooring

    public static final AmenityType mooring

### morgue

    public static final AmenityType morgue

### mosque

    public static final AmenityType mosque

### nameplate

    public static final AmenityType nameplate

### ophthalmologist

    public static final AmenityType ophthalmologist

### osteopath

    public static final AmenityType osteopath

### party_service

    public static final AmenityType party_service

### printer

    public static final AmenityType printer

### psychologist

    public static final AmenityType psychologist

### public_bath

    public static final AmenityType public_bath

### sanatorium

    public static final AmenityType sanatorium

### scout_hall

    public static final AmenityType scout_hall

### scout_hut

    public static final AmenityType scout_hut

### snack_cart

    public static final AmenityType snack_cart

### synagogue

    public static final AmenityType synagogue

### tax_advisor

    public static final AmenityType tax_advisor

### tricycle_station

    public static final AmenityType tricycle_station

### truck_stop

    public static final AmenityType truck_stop

### video_games

    public static final AmenityType video_games

### war_memorial

    public static final AmenityType war_memorial

### water_tower

    public static final AmenityType water_tower

### weapons

    public static final AmenityType weapons

### bahai_temple

    public static final AmenityType bahai_temple

### buddhist_temple

    public static final AmenityType buddhist_temple

### hindu_temple

    public static final AmenityType hindu_temple

### jain_temple

    public static final AmenityType jain_temple

### pagan_temple

    public static final AmenityType pagan_temple

### scientology

    public static final AmenityType scientology

### shinto_temple

    public static final AmenityType shinto_temple

### sikh_temple

    public static final AmenityType sikh_temple

### taoist_temple

    public static final AmenityType taoist_temple

### zoroastrian_temple

    public static final AmenityType zoroastrian_temple

### boat_launch

    public static final AmenityType boat_launch

### emergency_service

    public static final AmenityType emergency_service

### fishing

    public static final AmenityType fishing

### metro_station

    public static final AmenityType metro_station

### military

    public static final AmenityType military

### money_transfer

    public static final AmenityType money_transfer

### public_storage

    public static final AmenityType public_storage

### stables

    public static final AmenityType stables

### stock_exchange

    public static final AmenityType stock_exchange

### warehouse

    public static final AmenityType warehouse

### acupuncturist

    public static final AmenityType acupuncturist

### airway_beacon

    public static final AmenityType airway_beacon

### amusement_park

    public static final AmenityType amusement_park

### animal_boarding

    public static final AmenityType animal_boarding

### audiologist

    public static final AmenityType audiologist

### bridge

    public static final AmenityType bridge

### bullring

    public static final AmenityType bullring

### canteen

    public static final AmenityType canteen

### church_yard

    public static final AmenityType church_yard

### clocks

    public static final AmenityType clocks

### dermatologist

    public static final AmenityType dermatologist

### fbo

    public static final AmenityType fbo

### fish_and_chips

    public static final AmenityType fish_and_chips

### gazebo

    public static final AmenityType gazebo

### golf_course

    public static final AmenityType golf_course

### helipad

    public static final AmenityType helipad

### ice_rink

    public static final AmenityType ice_rink

### lavoir

    public static final AmenityType lavoir

### loading_dock

    public static final AmenityType loading_dock

### notary

    public static final AmenityType notary

### nutritionist

    public static final AmenityType nutritionist

### orthodontist

    public static final AmenityType orthodontist

### parish_hall

    public static final AmenityType parish_hall

### photo_booth

    public static final AmenityType photo_booth

### planetarium

    public static final AmenityType planetarium

### playground

    public static final AmenityType playground

### podiatrist

    public static final AmenityType podiatrist

### psychiatrist

    public static final AmenityType psychiatrist

### refugee_housing

    public static final AmenityType refugee_housing

### rodeo

    public static final AmenityType rodeo

### roller_rink

    public static final AmenityType roller_rink

### security

    public static final AmenityType security

### security_post

    public static final AmenityType security_post

### snack_bar

    public static final AmenityType snack_bar

### solarium

    public static final AmenityType solarium

### speech_therapist

    public static final AmenityType speech_therapist

### sports_therapist

    public static final AmenityType sports_therapist

### storage

    public static final AmenityType storage

### truck_wash

    public static final AmenityType truck_wash

### vehicle_inspection

    public static final AmenityType vehicle_inspection

### vehicle_ramp

    public static final AmenityType vehicle_ramp

### wash_center

    public static final AmenityType wash_center

### waste_transfer_station

    public static final AmenityType waste_transfer_station

### water_reservoir

    public static final AmenityType water_reservoir

### wayside_cross

    public static final AmenityType wayside_cross

### wayside_shrine

    public static final AmenityType wayside_shrine

### weighbridge

    public static final AmenityType weighbridge

### wine_cellar

    public static final AmenityType wine_cellar

### beekeeper

    public static final AmenityType beekeeper

### carpet_layer

    public static final AmenityType carpet_layer

### caterer

    public static final AmenityType caterer

### dam

    public static final AmenityType dam

### distillery

    public static final AmenityType distillery

### dressmaker

    public static final AmenityType dressmaker

### financial

    public static final AmenityType financial

### handicraft

    public static final AmenityType handicraft

### hvac

    public static final AmenityType hvac

### lighthouse

    public static final AmenityType lighthouse

### nursing_service

    public static final AmenityType nursing_service

### pasta

    public static final AmenityType pasta

### rigger

    public static final AmenityType rigger

### roofer

    public static final AmenityType roofer

### saddler

    public static final AmenityType saddler

### sailmaker

    public static final AmenityType sailmaker

### sawmill

    public static final AmenityType sawmill

### self_storage

    public static final AmenityType self_storage

### sweep

    public static final AmenityType sweep

### tiler

    public static final AmenityType tiler

### tinsmith

    public static final AmenityType tinsmith

### tower

    public static final AmenityType tower

### tutor

    public static final AmenityType tutor

### upholsterer

    public static final AmenityType upholsterer

### archaeological_site

    public static final AmenityType archaeological_site

### bicycle_repair_station

    public static final AmenityType bicycle_repair_station

### bomb_crater

    public static final AmenityType bomb_crater

### boundary_stone

    public static final AmenityType boundary_stone

### bunker

    public static final AmenityType bunker

### city_gate

    public static final AmenityType city_gate

### citywalls

    public static final AmenityType citywalls

### defibrillator

    public static final AmenityType defibrillator

### fort

    public static final AmenityType fort

### memorial

    public static final AmenityType memorial

### monument

    public static final AmenityType monument

### pastafarian_temple

    public static final AmenityType pastafarian_temple

### quarry

    public static final AmenityType quarry

### register_office

    public static final AmenityType register_office

### ruins

    public static final AmenityType ruins

### siren

    public static final AmenityType siren

### volcano

    public static final AmenityType volcano

### watermill

    public static final AmenityType watermill

### water_tank

    public static final AmenityType water_tank

### windmill

    public static final AmenityType windmill

### solar_power

    public static final AmenityType solar_power

### theMan

    public static final AmenityType theMan

### welding

    public static final AmenityType welding

### power_tower

    public static final AmenityType power_tower

### parliament

    public static final AmenityType parliament

### battlefield

    public static final AmenityType battlefield

### cannon

    public static final AmenityType cannon

### clockmaker

    public static final AmenityType clockmaker

### e_cigarette

    public static final AmenityType e_cigarette

### generator

    public static final AmenityType generator

### meteor_crater

    public static final AmenityType meteor_crater

### orthopedics

    public static final AmenityType orthopedics

### palace

    public static final AmenityType palace

### pillory

    public static final AmenityType pillory

### religion

    public static final AmenityType religion

### rune_stone

    public static final AmenityType rune_stone

### suction_point

    public static final AmenityType suction_point

### trail_head

    public static final AmenityType trail_head

### watchmaker

    public static final AmenityType watchmaker

### water_point

    public static final AmenityType water_point

### wreck

    public static final AmenityType wreck

Method Detail

### values

    public static AmenityType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AmenityType c : AmenityType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AmenityType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### nonClonedValues

    public static AmenityType[] nonClonedValues()

### value

    public static AmenityType value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    AmenityType for the string name, or null if no match

### isArea

    public boolean isArea()

  Indicates whether this enum type implies an area.

  Specified by:
    `isArea` in interface `MaybeArea`
  Returns:
    boolean true if Ways with this attribute value are assumed to be areas

### getCategory

    public AmenityCategory getCategory()

  Get the category associated with this AmenityType.

  Returns:
    AmenityCategory

### isVisible

    public boolean isVisible()

  Indicate whether OSM objects tagged with this enum are visible.

  Specified by:
    `isVisible` in interface `VisibleEnum`
  Returns:
    boolean true if object should be visible

### setVisible

    public void setVisible(boolean visible)

  Set whether OSM objects tagged with this enum should be visible.

  Specified by:
    `setVisible` in interface `VisibleEnum`
  Parameters:
    `visible` - boolean true if tagged objects should be visible

### toString

    public java.lang.String toString()

  Returns the localized name of this enum constant.

  Specified by:
    `toString` in interface `VisibleEnum`
  Overrides:
    `toString` in class `java.lang.Enum<AmenityType>`
  Returns:
    the localized name of this enum constant

### main

    public static void main(java.lang.String[] args)

  unit test.

  Parameters:
    `args` - ignored

### getImagePath

    public java.lang.String getImagePath()

  Return the relative path name of the image file for this enum value.

  Specified by:
    `getImagePath` in interface `EnumWithImageName`
  Returns:
    path name String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD